# Architecture Overview (mixed use->praesi)
Für das System lassen sich folgende szenarien ableiten, zum einen soll das System für die Lehre eingesetzt werden und zum anderen soll das System für das trainieren von Daten genutzt werden. 
Daher wird eine Mixed-Use Architektur bereitgestellt, das ermöglicht das System für diese zwei unterschiedliche Zwecke/Anforderungen einzusetzen. Hierzu wurden folgendes Rollenkonzept entworfen: 

# Rollen 

## User
* Lehre/Use Cases im Bereich Ethik, Wirtschaft und Recht
* Aufgaben Bearbeitung
* Benotung
* Beispiele / Demos bereitstellen

## advanced User
* Lehre/Use Cases im Bereich Technik
* Aufgaben Bearbeitung
* Benotung
* (Eigene) Beispiele/Demos bereitstellen/entwickeln

## scientific User
* Datengenerierung mithilfe von MAX
* GPU Leistung
* CI/CD/GIT
* Storage
* SANDBOX MM Platform


folgende technische Anforderungen lassen sich daraus ableiten: 
* Sandbox-NB zum testen von Beispielen und bearbeiten von Aufgaben (GPU Begrenzung auf 1GB pro User)
* 1 GB Speicherplatz pro User
* CPU 0.5/ limit 2
* Datenebereitstellung durch User:
  * REST-Schnittstelle
  * Git Large File Storage
  * Upload File inside Sandbox-NB (GUI)
